import Webpack from 'webpack';
export declare type EntryDescriptionNormalized = Webpack.DynamicEntryPlugin['entry'] extends () => Promise<infer EntryStaticNormalized> ? EntryStaticNormalized[keyof EntryStaticNormalized] : never;
export declare type GlobFunction = (patterns: string | string[], options?: {
    cwd?: string;
}) => PromiseLike<Array<string>> & AsyncIterable<string>;
export declare type EntriesFactoryContext = {
    context: string;
    glob: GlobFunction;
};
export declare type ExtraEntryMeta = {
    context?: string;
};
export declare type EntryMeta = ExtraEntryMeta & EntryDescriptionNormalized;
export declare type NamedEntryMeta = {
    name: string;
} & EntryMeta;
export declare type Entries = Record<string, string | EntryMeta> | Iterable<NamedEntryMeta> | AsyncIterable<NamedEntryMeta> | Generator<NamedEntryMeta>;
export declare type EntriesFactory = (context: EntriesFactoryContext) => Entries | Promise<Entries>;
